//
//  PlayerState.swift
//
//  Created by Jeff Campbell on 1/12/21.
//

import Foundation
import SwiftUI
import AVFoundation

struct PlayerState {
	public private(set) var duration:CMTime
	public private(set) var currentTime:CMTime
	public var currentDate:Date?

	public private(set) var seekableTimeRanges:[NSValue]
	public private(set) var loadedTimeRanges:[NSValue]

	public private(set) var forwardPlaybackEndTime:CMTime

	public private(set) var playerItemAccessLog:AVPlayerItemAccessLog?
	public private(set) var playerItemErrorLog:AVPlayerItemErrorLog?

	public private(set) var isReady:Bool	= false
	public private(set) var isPlaying:Bool	= false

	public var lastError:Error?
	public var lastErrorDate:Date?
}
